GreekLowerCaseFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.el.GreekLowerCaseFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.el
Class GreekLowerCaseFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.el.GreekLowerCaseFilter

All Implemented Interfaces:
  Closeable

    public final class GreekLowerCaseFilter

extends org.apache.lucene.analysis.TokenFilter

Normalizes token text to lower case, removes some Greek diacritics, and standardizes final sigma to sigma.

You must specify the required `Version` compatibility when creating GreekLowerCaseFilter:

- As of 3.1, supplementary characters are properly lowercased.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`GreekLowerCaseFilter(org.apache.lucene.analysis.TokenStream in)` Deprecated. Use `GreekLowerCaseFilter(Version, TokenStream)` instead.
`GreekLowerCaseFilter(org.apache.lucene.util.Version matchVersion, org.apache.lucene.analysis.TokenStream in)` Create a GreekLowerCaseFilter that normalizes Greek token text.

Method Summary
`boolean` | `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GreekLowerCaseFilter

    @Deprecated
    public GreekLowerCaseFilter(org.apache.lucene.analysis.TokenStream in)

  Deprecated. Use `GreekLowerCaseFilter(Version, TokenStream)` instead.

### GreekLowerCaseFilter

    public GreekLowerCaseFilter(org.apache.lucene.util.Version matchVersion,
                                org.apache.lucene.analysis.TokenStream in)

  Create a GreekLowerCaseFilter that normalizes Greek token text.

  Parameters:
    `matchVersion` - Lucene compatibility version, See above
    `in` - TokenStream to filter

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD